Package org.kapott.hbci.comm

# Class PinTanSSLHostnameVerifier

java.lang.Object
org.kapott.hbci.comm.PinTanSSLHostnameVerifier

All Implemented Interfaces:
  `HostnameVerifier`

public class PinTanSSLHostnameVerifier extends Object implements HostnameVerifier

## Constructor Summary

Constructors
Constructor
Description
`PinTanSSLHostnameVerifier()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`verify(String hostname, SSLSession session)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PinTanSSLHostnameVerifier

public PinTanSSLHostnameVerifier()

## Method Details

### verify

public boolean verify(String hostname, SSLSession session)

Specified by:
  `verify` in interface `HostnameVerifier`